Package org.tmatesoft.svn.core.wc2

# Enum SvnFileKind

java.lang.Object
java.lang.Enum<SvnFileKind>
org.tmatesoft.svn.core.wc2.SvnFileKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SvnFileKind>`, `java.lang.constant.Constable`

public enum SvnFileKind extends Enum<SvnFileKind>
Describe the kind of item. This can be:

- FILE - file
- DIRECTORY - directory
- SYMLINK - symlink
- UNKNOWN - not known kind

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIRECTORY`
`FILE`
`SYMLINK`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static SvnFileKind`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SvnFileKind[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILE

public static final SvnFileKind FILE

### DIRECTORY

public static final SvnFileKind DIRECTORY

### SYMLINK

public static final SvnFileKind SYMLINK

### UNKNOWN

public static final SvnFileKind UNKNOWN

## Method Details

### values

public static SvnFileKind[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SvnFileKind valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null